package com.tiesheng.annotation.operation;

import java.lang.annotation.*;

/**
 * @author hao
 */
@Target(ElementType.METHOD)
@Documented
@Retention(RetentionPolicy.RUNTIME)
public @interface OperationLog {

    String title() default "";

    String subject() default "";

    /**
     * 如果该值存在，怎会校验参数中是否存在该值，存在则便是更新，不存在则表示添加
     *
     * @return
     */
    String insertKey() default "";

}
